package cz.moneta.test.dsl.util.task.ufo;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.banka.tasks.BankaTasks;
import cz.moneta.test.dsl.ufo.ufoframework.tasks.FunctionalTestsTasks;
import cz.moneta.test.dsl.util.task.ufo.cb.CommercialTasks;
import cz.moneta.test.dsl.util.task.ufo.operations.OperationsTasks;

public class UfoTasks {

    private final Harness harness;

    public UfoTasks(Harness harness) {
        this.harness = harness;
    }

    public BankaTasks banka() {
        return new BankaTasks(harness);
    }

    public OperationsTasks operations() {
        return new OperationsTasks(harness);
    }

    public CommercialTasks cb() {
        return new CommercialTasks(harness);
    }

    public FunctionalTestsTasks functionalTests() {
        return new FunctionalTestsTasks(harness);
    }

}
